trip-server(1)

NAME
trip-server - Trip Recording and Itinerary Planning.

UNIX/Linux

SYNOPSIS
trip-server
[ -h | --help ] [ -v | --version ] [ -s | --listen { address } ] [ -p | --port { port } ] [ -r | --root { directory } ] [ -e | --expire-sessions ] [ -c | --config-file { filename } ] [ -u | --upgrade ] [ -V | --verbose ]

DESCRIPTION
trip-server is an application supporting trip recording and itinerary planning.

The intended use is for a hiker, mountain-biker or other adventurer, to be able to publish and share their planned itinerary, then subsequently log their positions at intervals, allowing someone else the ability to monitor their progress.

In the event of contact being lost, the plans and tracking information can be passed to rescue services etc., to assist with locating the missing adventurer.

OPTIONS

\FC-h\F[], \FC--help\F[]
    Show help, then exit.

\FC-v\F[], \FC--version\F[]
    Show version information, then exit.

\FC-s\F[], \FC--listen=ADDRESS\F[]
    Listen address, e.g. 0.0.0.0

\FC-p\F[], \FC--port=PORT\F[]
    Port number, e.g. 8080.

\FC-r\F[], \FC--root=DIRECTORY\F[]
    Document root directory.

\FC-e\F[], \FC--expire-sessions\F[]
    Expires any active user web sessions.

\FC-c\F[], \FC--config-file=FILENAME\F[]
    Configuration file name.

\FC-u\F[], \FC--upgrade\F[]
    Upgrade the database.

\FC-V\F[], \FC--verbose\F[]
    Verbose output